List workflow bindings for a project
GET
/v1/projects/{projectId}/workflow-bindingscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/workflow-bindings' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizeinteger
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<WorkflowBindingView>必填
- purposestring必填可选值exportprocessingcurate
- revisionRefstring | null必填
- triggersobject | null必填
- updatedAtstring | null必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"purpose": "export",
"revisionRef": "string",
"triggers": {},
"updatedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1